import vega from 'vega';
import vegaLite from 'vega-lite';
import vl from 'vega-lite-api';
import { Handler } from 'vega-tooltip';
import { config } from './config';

vl.register(vega, vegaLite, {
  view: { renderer: 'svg' },
  init: (view) => {
    view.tooltip(new Handler().call);
  },
});

export const Plot = ({ data }) => {
  const viz = vl
    .markCircle()
    .encode(vl.x().fieldN('Albumin'), vl.y().fieldN('Albumin'));
  const marks = viz
    .data(data)
    .width(window.innerWidth)
    .height(window.innerHeight)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);

  // quirky: doesn't work with React because it returns a vanilla JS node
  marks
    .render()
    .then((r) => document.querySelector('.summary-container').after(r));

  return <div className="section">It works</div>;
};
